/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package fr.eni.technoCeption.vue;

import java.sql.SQLException;
import java.util.logging.Level;
import java.util.logging.Logger;

import fr.eni.technoCeption.controleur.C_AS_AutoSearch;
import fr.eni.technoCeption.db.Db_mysql;
import fr.eni.technoCeption.model.M_Url;

/**
 *
 * @author gatardf
 */
public class V_Modifier extends javax.swing.JFrame {
    
    //Déclaration des attributs privée
    private int id;
    private String titre;
    private C_AS_AutoSearch leControl;
    private Db_mysql bdAutoSearch;
    
    /**
     * V_Modifier
     * Constructeur de la classe
     * @param leControl : controlleur
     * @param bdAutoSearch : base de données
     */
    public V_Modifier(C_AS_AutoSearch leControl,Db_mysql bdAutoSearch) {
        //Initialisation des attributs importants
        this.bdAutoSearch = bdAutoSearch;
        this.leControl = leControl;
        initComponents();
    }
    
    /**
     * afficher
     * permet l'affichage de la vue V_modifier
     * @param id : entier
     * @throws SQLException 
     */
    public void afficher(int id) throws SQLException{
        //Déclaration et initialisation de l'attribut id
        this.id = id;
        
        //déclaration et initialiastion de l'url
        M_Url uneUrl;
        uneUrl = new M_Url(bdAutoSearch, id);
        
        //Récupère l'ancien titre
        this.titre = uneUrl.getTitre();
        
        //affiche l'ancien titre
        ed_ancienTitre.setText(titre);
        
        //affiche la vue
        setVisible(true);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel2 = new javax.swing.JLabel();
        tx_ancienTitre = new javax.swing.JLabel();
        ed_newTitre = new javax.swing.JTextField();
        tx_newTitre = new javax.swing.JLabel();
        ed_ancienTitre = new javax.swing.JTextField();
        bt_validation = new javax.swing.JButton();
        bt_annuler = new javax.swing.JButton();
        bt_echange = new javax.swing.JButton();

        jLabel2.setText("Ancien titre de l'url :");

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setPreferredSize(new java.awt.Dimension(600, 250));

        tx_ancienTitre.setText("Ancien titre de l'url :");

        ed_newTitre.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                ed_newTitreActionPerformed(evt);
            }
        });

        tx_newTitre.setText("Nouveau titre de l'url :");

        ed_ancienTitre.setEnabled(false);

        bt_validation.setText("Valider");
        bt_validation.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bt_validationActionPerformed(evt);
            }
        });

        bt_annuler.setText("Annuler");

        bt_echange.setIcon(new javax.swing.ImageIcon(getClass().getResource("/as_autosearch/shuffle_96696.png"))); // NOI18N
        bt_echange.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bt_echangeActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(ed_newTitre)
                    .addComponent(ed_ancienTitre)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addComponent(bt_annuler)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(bt_validation))
                    .addGroup(layout.createSequentialGroup()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(tx_ancienTitre)
                            .addComponent(tx_newTitre))
                        .addGap(0, 0, Short.MAX_VALUE)))
                .addContainerGap())
            .addGroup(layout.createSequentialGroup()
                .addGap(282, 282, 282)
                .addComponent(bt_echange)
                .addContainerGap(312, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(tx_ancienTitre)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(ed_ancienTitre, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(bt_echange)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 39, Short.MAX_VALUE)
                .addComponent(tx_newTitre)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(ed_newTitre, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(bt_validation)
                    .addComponent(bt_annuler))
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    /**
     * permet la validation du nouveau titre
     * @param evt 
     */
    private void bt_validationActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bt_validationActionPerformed
        try {
            //Modfie le titre de l'url selectionner
            M_Url.Mod_Titre(bdAutoSearch,id , ed_newTitre.getText());
            
            //ferme le vue
            setVisible(false);
        //permet de gérer les érreurs
        } catch (SQLException ex) {
            Logger.getLogger(V_Modifier.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_bt_validationActionPerformed

    /**
     * permet de copier coller le titre
     * @param evt 
     */
    private void bt_echangeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bt_echangeActionPerformed
        //affiche le titre dans la zone d'éddition
        ed_newTitre.setText(titre);
    }//GEN-LAST:event_bt_echangeActionPerformed

    private void ed_newTitreActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_ed_newTitreActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_ed_newTitreActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(V_Modifier.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(V_Modifier.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(V_Modifier.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(V_Modifier.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new V_Modifier(null,null).setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton bt_annuler;
    private javax.swing.JButton bt_echange;
    private javax.swing.JButton bt_validation;
    private javax.swing.JTextField ed_ancienTitre;
    private javax.swing.JTextField ed_newTitre;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel tx_ancienTitre;
    private javax.swing.JLabel tx_newTitre;
    // End of variables declaration//GEN-END:variables
}
